package vishnu.testvis.visual;
import vishnu.datablock.*;
/**
* Downward linked list wrapper class enables several lists to share
* same row nodes
* @author Matthew Carey
*/

public class Pt2DNode
{
     /** next node */
     Pt2DNode next;
     /** row data */
     Pnt2DTupleNode tuple;
     /** constructor
     * @param another node to link to
     */
     Pt2DNode(Pnt2DTupleNode t)
     {
        tuple = t;
        next = null;
     }
     /**
     * constructor
     * @param cartesian x
     * @param cartesian y
     * @param document index
     * @param data row
     * @param document title
     */
     Pt2DNode(float x, float y ,int i, SparseNode t, String s)
     {
        tuple = new Pnt2DTupleNode(x,y,i,t,s);
        next = null;
     }
     /**
     * Get next node
     * @return next node
     */
     Pt2DNode getNext()
     {
        return next;
     }
     /**
     * Set next node
     * @param another node to be next
     */
     public void setNext(Pt2DNode n)
     {
        n.next=next;
        next = n;
     }
}
